> ## Documentation Index
> Fetch the complete documentation index at: https://openmail-docs-reputation-lifecycle-webhooks.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete pod

> Permanently delete a pod. The pod must be empty (no inboxes or pod-scoped domains) and cannot be the default pod.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/pods/{id}
openapi: 3.0.3
info:
  title: OpenMail API
  description: >-
    Email infrastructure API for AI agents. Create inboxes, send and receive
    email, and get real-time notifications via webhooks.
  version: 1.0.0
  license:
    name: Proprietary
servers:
  - url: https://api.openmail.sh
security:
  - bearerAuth: []
paths:
  /v1/pods/{id}:
    delete:
      summary: Delete pod
      description: >-
        Permanently delete a pod. The pod must be empty (no inboxes or
        pod-scoped domains) and cannot be the default pod.
      operationId: deletePod
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Pod ID or your own `clientId`
      responses:
        '204':
          description: Pod deleted
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: >-
            Pod still has inboxes (`pod_not_empty`), still owns pod-scoped
            domains (`pod_has_domains`), or is the default pod (`default_pod`)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````